Skip to content

Cancel content data export

Request

You can cancel your job

Security
bearerAuth
Path
job_identifierstringrequired

job_identifier

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X POST \
  'https://api.intercom.io/export/cancel/{job_identifier}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

successful

Bodyapplication/json
job_identfierstring

The identifier for your job.

Example:"orzzsbd7hk67xyu"
statusstring

The current state of your job.

Enum:"pending""in_progress""failed""completed""no_data""canceled"
Example:"pending"
download_expires_atstring

The time after which you will not be able to access the data.

Example:"1674917488"
download_urlstring

The location where you can download your data.

Example:"https://api.intercom.test/download/messages/data/example"
Response
{ "job_identifier": "v134nyc2bku9hj91", "status": "canceled", "download_url": "", "download_expires_at": "" }